Subject: Re: bug#48342: native-comp emacs gets into an infinite loop at startup if no .el files are available

From: Dima Kogan <[email-masked]>
Date: Tue, 11 May 2021 12:59:27 -0700

Eli Zaretskii <[email-masked]> writes:

> Imagine the plight of a user who needs to discover all these places
> just to have the sources available.

I suppose you have a point, but this concern is much bigger than just
emacs. A user of a binary distro (pretty much all of them) may have a
binary package installed (anything; not just emacs), and could go
looking for sources many decades later. These are available, but will
take some work to find if you wait that long. Fixing this is a large
battle, and I'm not convinced it's worth fighting.

For Debian specifically, the snapshot.debian.org repos Gregory mentioned
are primarily useful to people that use the unstable packages. The
official, released, packages live in more standard locations, and should
be easier to get, even decades later. I say "should" because this is not
a common need, and I never went looking myself.